Accept an organization advertiser grant
curl --request POST \
--url https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}/accept"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantor": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grantee": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"advertisers": [
{
"advertiserId": "<string>",
"displayName": "<string>"
}
],
"capabilities": [
"advertiser.read"
],
"purpose": "<string>",
"status": "invited",
"invitedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"events": [
{
"eventRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "invited",
"actor": "grantor",
"reason": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Accept an organization advertiser grant
Accept the exact invitation. Only its invited Organization may act.
POST
/
organization
/
advertiser-grants
/
{grantRef}
/
accept
Accept an organization advertiser grant
curl --request POST \
--url https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}/accept"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.interchange.io/api/v2/organization/advertiser-grants/{grantRef}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantor": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"grantee": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"advertisers": [
{
"advertiserId": "<string>",
"displayName": "<string>"
}
],
"capabilities": [
"advertiser.read"
],
"purpose": "<string>",
"status": "invited",
"invitedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"events": [
{
"eventRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "invited",
"actor": "grantor",
"reason": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Required string length:
1 - 1000